<?php
/*
Plugin Name: Custom Fixes
Description: Modifica la struttura degli URL delle tassonomie custom per includere lo slug del Custom Post Type.
Version: 1.0
Author: ATMAN
*/

// Evita l'accesso diretto al file
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Modifica la riscrittura della tassonomia per rimuovere lo slug della tassonomia e inserire lo slug del custom post type
function custom_taxonomy_rewrite( $args, $taxonomy ) {
	if ( 'categoria-portfolio' === $taxonomy ) {
		$args['rewrite'] = array(
			'slug'         => 'portfolio', // Modifica qui con lo slug del tuo custom post type
			'with_front'   => false,
			'hierarchical' => true,
		);
	}
	return $args;
}
add_filter( 'register_taxonomy_args', 'custom_taxonomy_rewrite', 10, 2 );

// Aggiungi la regola di riscrittura per il termine della tassonomia con lo slug del custom post type
function custom_rewrite_rules( $rules ) {
	$new_rules                         = array();
	$new_rules['portfolio/([^/]+)/?$'] = 'index.php?categoria-portfolio=$matches[1]';
	return $new_rules + $rules;
}
add_filter( 'rewrite_rules_array', 'custom_rewrite_rules' );

// Flush permalinks (da fare solo una volta per aggiornare le regole di riscrittura)
function custom_flush_rewrite_rules() {
	flush_rewrite_rules();
}
register_activation_hook( __FILE__, 'custom_flush_rewrite_rules' );
register_deactivation_hook( __FILE__, 'custom_flush_rewrite_rules' );
